import { Platform } from "@ionic/angular";
import { Map, tileLayer, marker, icon } from "leaflet";

import { Component } from "@angular/core";

@Component({
  selector: "app-tab2",
  templateUrl: "tab2.page.html",
  styleUrls: ["tab2.page.scss"],
})
export class Tab2Page {
  constructor(public plt: Platform) {}

  //TODO: Hier muss der Service mit den eingelesenen CSV-Daten angesprochen werden
  csvData = null;

  ngAfterViewInit() {
    this.plt.ready().then(() => {
      this.initMap();
    });
  }

  initMap() {
    const map = new Map("map").setView([47.986756, 7.842344], 23);

    tileLayer("https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png", {
      attribution:
        '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors',
    }).addTo(map);
    //this.setMarker(this.csvData, map);
  }

  setMarker(angebote, map) {
    const customMarkerIcon = icon({
      iconUrl: "assets/image/star.svg",
      iconSize: [64, 64],
      popupAnchor: [0, -20],
    });
    let latLngBounds = map.getBounds;
    angebote.forEach((angebot) => {
      if (latLngBounds.contains(angebot.geo_lat, angebot.geo_lon)) {
        marker([angebot.geo_lat, angebot.geo_lon], {
          icon: customMarkerIcon,
        })
          .bindPopup(`<b>${angebot.title}</b>`, { autoClose: false })
          .addTo(map)
          .openPopup();
      }
    });
  }
}
